/*
 * 3D暔懱偺愝抲
 */
void
setobject()
	{
	int	i;
	int	dat[36]={
		  0,  1,  2,  3,  4,  5,  6,  7,  8,
		  8,  7,  6,  5,  4,  3,  2,  1,  0,
		  0,359,358,357,356,355,354,353,352,
		352,353,354,355,356,357,358,359,  0};	// BOSS梡梙傟僨乕僞

	// 帺婡
	if ( ship.flag == 1 )
		{
		AGLResetObj(&os);
		AGLRotateObjY(&os,1800);
		AGLScaleObj(&os,0x50,0x50,0x50);
		AGLRotateObjZ(&os,(3600+ship.deg*32)%3600);
		AGLTranslateObj(&os,ship.x,ship.y,ship.z);
		}
	else if ( ship.flag > 1 )
		{
		AGLResetObj(&os);
		AGLScaleObj(&os,0x50,0x50,0x50);
		AGLRotateObjY(&os,ship.flag*400);
		AGLRotateObjZ(&os,ship.flag*400);
		AGLTranslateObj(&os,ship.x,ship.y,ship.z);
		}
	// 揋
	for ( i = 0 ; i < MAXENEMY ; i++ )
		{
		if ( enemy[i].flag == 1 )
			{
			if ( enemy[i].type == E_ENGINE )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0xa0,0xa0,0xa0);
				}
			else if ( enemy[i].type == E_RING )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0xa0,0xa0,0xa0);
				AGLRotateObjZ(&oe[i],(animecount*100)%3600);
				}
			else if ( enemy[i].type == E_PIRAMID )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0x150,0x150,0x150);
				}
			else if ( enemy[i].type == E_ROCK )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0x120,0x120,0x120);
				AGLRotateObjX(&oe[i],(animecount*100)%3600);
				if ( enemy[i].xspeed < 0 )
					{
					AGLRotateObjZ(&oe[i],(animecount*200)%3600);
					}
				else
					{
					AGLRotateObjZ(&oe[i],((35-animecount)*200)%3600);
					}
				}
			else if ( enemy[i].type == E_SNOW )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0x40,0x40,0x10);
				AGLRotateObjX(&oe[i],(animecount*100)%3600);
				AGLRotateObjY(&oe[i],(animecount*200)%3600);
				AGLRotateObjZ(&oe[i],(animecount*400)%3600);
				}
			else if ( enemy[i].type == E_POLE )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0xa0,0xa0,0x400);
				AGLRotateObjX(&oe[i],900);
				}
			else if ( enemy[i].type == E_MSL )
				{
				AGLResetObj(&oe[i]);
				AGLScaleObj(&oe[i],0xa0,0xa0,0xa0);
				AGLRotateObjX(&oe[i],1800);
				AGLRotateObjZ(&oe[i],(animecount*400)%3600);
				}
			else
				{
				if ( stage == 0 )
					{
					AGLResetObj(&oe[i]);
					AGLScaleObj(&oe[i],0x280,0x280,0x280);
					AGLRotateObjY(&oe[i],1800);
					AGLRotateObjZ(&oe[i],dat[animecount]*10);
					}
				else if ( stage == 1 )
					{
					AGLResetObj(&oe[i]);
					AGLScaleObj(&oe[i],0x280,0x280,0x280);
					AGLRotateObjX(&oe[i],900);
					AGLRotateObjY(&oe[i],animecount*100);
					AGLRotateObjZ(&oe[i],dat[animecount]*10);
					}
				else
					{
					AGLResetObj(&oe[i]);
					AGLScaleObj(&oe[i],0x300,0x300,0x300);
					AGLRotateObjX(&oe[i],2700);
					AGLRotateObjZ(&oe[i],dat[animecount]*10);
					}
				}
			AGLTranslateObj(&oe[i],enemy[i].x,enemy[i].y,enemy[i].z);
			}
		else if ( enemy[i].flag > 1 )
			{
			AGLResetObj(&oe[i]);
			AGLScaleObj(&oe[i],0x100,0x100,0x100);
			AGLRotateObjY(&oe[i],enemy[i].flag*200);
			AGLRotateObjZ(&oe[i],enemy[i].flag*200);
			AGLTranslateObj(&oe[i],enemy[i].x,enemy[i].y,enemy[i].z);
			}
		}
	// 抧柺
	for ( i = 0 ; i < MAXJIMEN ; i++ )
		{
		if ( jimen[i].flag )
			{
			AGLResetObj(&oj[i]);
			AGLScaleObj(&oj[i],0x380,0x80,0x280);
			AGLTranslateObj(&oj[i],jimen[i].x,jimen[i].y,jimen[i].z);
			}
		}
	// 帺抏
	for ( i = 0 ; i < MAXMSL ; i++ )
		{
		if ( msl[i].flag )
			{
			AGLResetObj(&om[i]);
			AGLScaleObj(&om[i],0x40,0x40,0x40);
			AGLRotateObjX(&om[i],(animecount*225)%3600);
			AGLRotateObjZ(&om[i],(animecount*225)%3600);
			AGLTranslateObj(&om[i],msl[i].x,msl[i].y,msl[i].z);
			}
		}
	// 揋抏
	for ( i = 0 ; i < MAXEMSL ; i++ )
		{
		if ( emsl[i].flag )
			{
			AGLResetObj(&oem[i]);
			AGLScaleObj(&oem[i],0x40,0x40,0x40);
			AGLRotateObjX(&oem[i],(animecount*225)%3600);
			AGLRotateObjZ(&oem[i],(animecount*225)%3600);
			AGLTranslateObj(&oem[i],emsl[i].x,emsl[i].y,emsl[i].z);
			}
		}
	// 敋敪
	for ( i = 0 ; i < MAXBAKU ; i++ )
		{
		if ( baku[i].flag )
			{
			AGLResetObj(&ob[i]);
			AGLScaleObj(&ob[i],0x120,0x120,0x120);
			AGLRotateObjY(&ob[i],(baku[i].flag*400)%3600);
			AGLRotateObjZ(&ob[i],(baku[i].flag*400)%3600);
			AGLTranslateObj(&ob[i],baku[i].x,baku[i].y,baku[i].z);
			}
		}
	}

